
#include <yarp/os/all.h>
#include <stdio.h>

#include "server.hpp"

using namespace yarp;
using namespace yarp::os;


int main(int argc, char *argv[])
{
    if (argc<2)
    {
        fprintf(stdout,"port name is missing\n");
        return -1;
    }

    Network yarp;
    if (!yarp.checkNetwork())
        return -2;

    CollatzServerProcessor processor(1000);
    Port server;

    server.open(argv[1]);
    server.setReader(processor);
    processor.start();

    // wait until a key is pressed
    char ch;
    scanf("%c",&ch);

    processor.stop();
    server.interrupt();
    server.close();

    return 0;
}


